commit:     ae013ad407c0608f17719ee95714c0162b74a000
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 26 08:16:27 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 09:41:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae013ad4

dev-python/pyqtgraph: Bump to 0.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyqtgraph/Manifest                |  2 +
 dev-python/pyqtgraph/pyqtgraph-0.12.0.ebuild | 85 ++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/pyqtgraph/Manifest b/dev-python/pyqtgraph/Manifest
index 0af45bb7254..59fa953c253 100644
--- a/dev-python/pyqtgraph/Manifest
+++ b/dev-python/pyqtgraph/Manifest
@@ -1 +1,3 @@
 DIST pyqtgraph-0.11.0_rc0.tar.gz 755973 BLAKE2B 
845c57a16c71d449419cca452ac70468eb21f198b3aebe39204e8ac1408ebd4471a95b24cbd91cd4c745439c17a805738e50a29f8690de5d84f86c2597310aea
 SHA512 
6eb5573b19c7fc0bc263bdc5d75a9a7a5d86d5ce525e406fcbd8f4215a8b2a0a9a7d4839d177fb10ff62a5feacdf088347828900daa9f60ae84e54824b98f470
+DIST pyqtgraph-0.12.0.tar.gz 893557 BLAKE2B 
a5fab600adad7b71d63602ed075ecdfba96316ffd1205a11c6551c132055c40f81bbac4a51e9abcfdb877365f1e95d1f05d0fdcc7131cf5f0646f641512e70aa
 SHA512 
a30c7cab0a8a1efff697271fdcc27b1aef55a2766a90562191adc4d6e5ed6fb71da73b4b25ea4e16b7eff33876eb47468c27bc8bcdf1a0abaefa2b6c202c8739
+DIST pyqtgraph-test-data-8.tar.gz 306068 BLAKE2B 
f3aa418dfaf2e74950fa880da4b6dfb4ef5dbd46346b78065d885c1f9fc06fc3de86756af17e27035d4cd47d98cc7ce58c036b493837b568086a4ebceb230c78
 SHA512 
07ef414f2b57e00589f8c18459e88ab16001c7cc3766164cdfcd69faa26cbc90ed64611fd0c5e3b401dc6a3f1a6e9e4ce6a7d9fa96ebcc4360e03fa9fbb856d2

diff --git a/dev-python/pyqtgraph/pyqtgraph-0.12.0.ebuild 
b/dev-python/pyqtgraph/pyqtgraph-0.12.0.ebuild
new file mode 100644
index 00000000000..1db8e4e0200
--- /dev/null
+++ b/dev-python/pyqtgraph/pyqtgraph-0.12.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1 multiprocessing virtualx
+
+TEST_DATA_TAG=test-data-8
+DESCRIPTION="A pure-python graphics and GUI library built on PyQt and numpy"
+HOMEPAGE="http://www.pyqtgraph.org/ https://pypi.org/project/pyqtgraph/";
+SRC_URI="
+       https://github.com/pyqtgraph/pyqtgraph/archive/${P}.tar.gz
+       test? (
+               
https://github.com/pyqtgraph/test-data/archive/${TEST_DATA_TAG}.tar.gz
+                       -> ${PN}-${TEST_DATA_TAG}.tar.gz
+       )"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples opengl svg"
+
+RDEPEND="
+       >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+       dev-python/PyQt5[gui,widgets,opengl=,svg=,${PYTHON_USEDEP}]
+       opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )"
+BDEPEND="
+       test? (
+               dev-python/h5py[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       if use test; then
+               mkdir "${HOME}"/.pyqtgraph || die
+               mv "${WORKDIR}/test-data-${TEST_DATA_TAG}" \
+                       "${HOME}"/.pyqtgraph/test-data || die
+               cd "${HOME}"/.pyqtgraph/test-data || die
+               # we need to fake a git repo
+               git config --global user.email "y...@example.com"
+               git config --global user.name "Your Name"
+               git init -q || die
+               git commit -q --allow-empty -m "dummy commit" || die
+               git tag "${TEST_DATA_TAG}" || die
+               cd - >/dev/null || die
+       fi
+       if ! use opengl; then
+               rm -r pyqtgraph/opengl || die
+       fi
+}
+
+python_test() {
+       local deselect=(
+               # apparently fragile
+               --deselect pyqtgraph/tests/test_reload.py::test_reload
+
+               # pyside2 is normally skipped if not installed but these two
+               # fail if it is installed
+               # TODO: this could be due to USE flags, revisit when pyside2
+               # gains py3.9
+               --deselect
+               'examples/test_examples.py::testExamples[ 
DateAxisItem_QtDesigner.py - PySide2 ]'
+               --deselect
+               'examples/test_examples.py::testExamples[ designerExample.py - 
PySide2 ]'
+       )
+
+       distutils_install_for_testing
+       virtx epytest "${deselect[@]}" \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install_all() {
+       use examples && DOCS+=( examples/ )
+       distutils-r1_python_install_all
+}

Reply via email to